import pytest
from frostfs_testlib.storage.dataclasses.wallet import WalletFactory, WalletInfo


@pytest.fixture(scope="module")
def owner_wallet(wallet_factory: WalletFactory) -> WalletInfo:
    """
    Returns wallet which owns containers and objects
    """
    return wallet_factory.create_wallet()


@pytest.fixture(scope="module")
def user_wallet(wallet_factory: WalletFactory) -> WalletInfo:
    """
    Returns wallet which will use objects from owner via static session
    """
    return wallet_factory.create_wallet()


@pytest.fixture(scope="module")
def stranger_wallet(wallet_factory: WalletFactory) -> WalletInfo:
    """
    Returns stranger wallet which should fail to obtain data
    """
    return wallet_factory.create_wallet()
